### Method

# AppStream Pool set_load_std_data_locations

since: 0.15.0

#### Declaration [src]

    void
    as_pool_set_load_std_data_locations (
      AsPool* pool,
      gboolean enabled
    )

#### Description [src]

This is a convenience function that enables or disables loading of metadata from well-known standard locations by configuring the `AsPoolFlags` of this `AsPool` accordingly. Data affected by this includes the OS data catalog, metainfo, desktop-entry files and Flatpak data. If you need more fine-grained control, set the `AsPoolFlags` explicitly.

Available since: 0.15.0

#### Parameters

`enabled`

  Type: `gboolean`

  Whether loading of data from standard locations should be enabled.